import { MathEngine } from './model';
import { Mathjax2Renderer, MathJax3Renderer } from './impl';
export const createMathJaxRenderer = (rendererConfig) => {
    switch (rendererConfig.engine) {
        case MathEngine.MathJax2:
            return new Mathjax2Renderer().config(rendererConfig);
        case MathEngine.MathJax3:
            return new MathJax3Renderer().config(rendererConfig);
        default:
            throw Error('Renderer unavailable');
    }
};
//# sourceMappingURL=factory.js.map